﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TestWinGridPrintingWithFilters
{
    public partial class UCAuthentication : UserControl
    {
        private AuthenticationObj _authenticationObj;

        public UCAuthentication()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Gets or sets the authentication obj.
        /// </summary>
        /// <value>
        /// The authentication obj.
        /// </value>
        public AuthenticationObj AuthenticationObject
        {
            get { return this._authenticationObj; }
            set
            {
                if (this._authenticationObj == value)
                {
                    return;
                }
                if (this._authenticationObj != null)
                {
                    this._authenticationObj.PropertyChanged -= new System.ComponentModel.PropertyChangedEventHandler(authenticationObj_PropertyChanged);
                }
                this._authenticationObj = value;
                if (this._authenticationObj != null)
                {
                    this._authenticationObj.PropertyChanged += new System.ComponentModel.PropertyChangedEventHandler(authenticationObj_PropertyChanged);
                }
            }
        }

        private void authenticationObj_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            //do nothing
        }
    }
}
