﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestWinGridPrintingWithFilters
{
    public class Constants
    {
        public const string TEXTBOX = "TextBox";
        public const string TEXT = "Text";
        public const string TYPE = "Type";
        public const string CONTROL = "Control";
        public const string RADIO = "Radio";
        public const string COMBO = "Combo";
        public const string SPACE = "Space";
        public const string PROCEDURE = "Procedure";
        public const string SIGNATURE = "Signature";
        public const string ROW_ID = "RowID";
        public const string NUMBER = "Number";
        public const string GROUP_ID = "GroupID";
        public const string SUMMARY = "Summary";
        public const string DOCUMENT_SUMMARY = "DocumentSummary";
        public const string PAGE_BREAK = "PageBreak";
        public const string HEIGHT = "Height";
        public const string PRECISION = "Precision";
        public const string REQUIRED = "Required";
        public const string RESPONSES = "Responses";
        public const string PARENT_ID = "ParentID";
        public const string BEGINNING = "BEGINNING";
        public const string HEADER = "Header";
        public const string SIZE = "Size";
        public const string SATISFACTION = "Satisfaction";
        public const string SIGNATURE_CONTROL = "Signature Control";
        public const string GROUP_NAME = "GroupName";
        public const string SCALE = "SCALE";
        public const string EXPECTATIONS = "Expectations";
        public const string SPACE_1 = " ";
        public const string SUBMISSION_ID = "SUBMISSION ID";
        public const string SCORE = "SCORE";
        public const string COMMENTS = "COMMENTS";
        public const string QUESTION_ID = "QUESTION ID";
        public const string ORDER_ID = "ORDER ID";
        public const string FORM_ID = "FORM ID";
        public const string NAME = "Name";
        public const string JOB_LEVELS = "Job Levels";
        public const string AUTHENTICATION_OBJECT = "AuthenticationObject";
        public const string SANS_SERF = "Microsoft Sans Serif";
        public const string SATISFACTION_OBJECT = "SatisfactionObject";
        public const string SPELL_CHECK_COMPLETE = "Spell Check Complete";
        public const string CAN_BE_ANSWERED = "Can Be Answered";
        public const string EVALUATEE = "Evaluatee";
        public const string EVALUATOR = "Evaluator";
        public const string THANKS_FOR_SUBMISSION = "Thanks for your submission";
        public const string THANKS_FOR_SUBMISSION_HEADER = "Thanks";
        public const string CAMBRIA = "Cambria";
        public const string SINGLE_SPELL_CHECK_DONE = "Spell Check Complete, Would You Like\n" +
                                                      "To Spell Check The Rest Of The Document?";
        public const string ADD_TO_DICTIONARY = "Add To Dictionary";
        public const string EVALUATION_INFORMATION = "EVALUATION INFORMATION";
        public const string SCORING_SCALE = "SCORING INFORMATION";
        public const string CARRIAGE_RETURN = "\r\n";
        public const string SHOW_TEXT = "Show Text";
        public const string BOTTOM_LINE = "Bottom Line";
        public const string FORM_INCOMPLETE = "Must Complete All Required Fields Before Signing";
        public const string FORM_INCOMPLETE_HEADER = "Form Incomplete";
        public const string CORPORATEBEGINNING = "CORPORATEBEGINNING";
        public const string CORPORATESCALE = "CORPORATESCALE";
        public const string CORPORATE_SCALE_HEADER = "ADVANCED SCORING INFORMATION";
        public const string DELETE_DENIED = "You Do Not Have Permission To Delete This Document";
        public const string DELETE_DENIED_HEADER = "Permission Denied";
        public const string DELETE_FAILED = "Delete failed for the following reasons\n";
        public const string DELETE_FAILED_HEADER = "Delete Failed";
        public const string TRY_AGAIN_LATER = "\nplease try again later.";
        public const string QUESTION_DELETE = "Are You Sure You Want To Delete The Selected Document";
        public const string QUESTION_DELETE_HEADER = "Delete?";
        public const string CORPORATE_EXPECTATIONS = "CorporateExpectations";
        public const string PRINT_ACTUAL_PAGE_NUMBER = "[Page #]";
        public const string PRINT_PAGE_NUMBER = "Page Number: ";
        public const string PRINT_TIME = "[Time Printed]";
        public const string PRINT_DATE = "[Date Printed]";
        public const string PRINT_SPACE = " ";
        public const string PRINT_CONFIDENTIAL = "***CONFIDENTIAL***";
        public const string DMSTATS = "DMSTATS";
        public const string LABEL1 = "label1";
        public const string CMBPERMISSION = "cmbPermissionLevel";
        public const string SMSTATS = "SMSTATS";
        public const string STORE_RESULTS = "STORE RESULTS";
        public const string ITALICS = "Italics";
        public const string BOLD = "Bold";
        public const string UNDERLINE = "Underline";
        public const int BACKSPACE = 8;
        public const int ENTER_BUTTON = 13;
        public const int ZERO = 0;
        public const int ONE = 1;
        public const int SIX = 6;
        public const int SIXTY_FIVE = 65;
        public const int THREE_HUNDRED = 300;
        public const int FOUR = 4;
        public const int TWO = 2;
        public const int THREE = 3;
        public const int TEN = 10;
        public const int NINE_HUNDRED_MILLION = 990000000;
        public const int THREE_TWENTY = 320;
        public const int TWENTY = 20;



        //these are temporary for testing
        public const int STEPHANIE = 55858;
        public const int BRIAN = 19153;
    }
}
