﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestWinGridPrintingWithFilters
{
    public class PageInfoObj
    {
        /// <summary>
        /// Gets or sets the start index.
        /// </summary>
        /// <value>
        /// The start index.
        /// </value>
        public int StartIndex { get; set; }
        /// <summary>
        /// Gets or sets the end index.
        /// </summary>
        /// <value>
        /// The end index.
        /// </value>
        public int EndIndex { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="PageInfoObj"/> class.
        /// </summary>
        /// <param name="startInfo">The start info.</param>
        /// <param name="endIndex">The end index.</param>
        public PageInfoObj(int startIndex, int endIndex)
        {
            StartIndex = startIndex;
            EndIndex = endIndex;
        }
    }
}
